Update Payment Status

​

The Update Payment Status API updates the payment status in the Punchh platform after the POS marks the payment as complete.

For more information, see: Updating Payment Status

Headers

Token token

The Location API key from the Punchh platform located under Store Locations > All Store Locations > [Choose your location] > POS tab > Location key

btoken

The API key for the business, located in the Punchh platform. Note: This can be obtained only from Punchh administrators (e.g., Customer Success Manager).

For assistance with any API keys, reach out to your Punchh Customer Success Manager (CSM) or Implementation Manager (if applicable).

Headers

  • Token token Location API key from the Punchh platform. btoken Business API key from the Punchh platform.

  • Set to aplication/json

Body

application/json
  • Email address of the user. Required for loyalty guests. In the case of single scan flow, email is not a required parameter.

  • Enter one of the following values for the Punchh single scan flow payment:

  • Send "completed" to update the payment status and finalize payment processing. Use the Get Payment Status endpoint to obtain the current status and status updates.

  • Payment reference identifier from the payment processor. This is obtained from the response of the Create Payment API.

  • Single scan code of the user is a required parameter when the user makes a payment through the single scan flow. The single scan code identifies the user making the payment.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for put/api/pos/payments
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/payments \
  --request PUT \
  --header 'Authorization: Token token="LOCATION_KEY_GOES_HERE"  btoken="BUSINESS_KEY_GOES_HERE"' \
  --header 'Content-type: application/json' \
  --data '{
  "payment_type": "CreditCard",
  "email": "test@example.com",
  "status": "completed",
  "single_scan_code": "SINGLE_SCAN_CODE_GOES_HERE"
}'
{
  "first_name": "FIRST_NAME_GOES_HERE",
  "last_name": "LAST_NAME_GOES_HERE",
  "transaction_no": "352083094-10040",
  "payment_reference_id": "14000",
  "status": "processed",
  "response_message": "COMPLETED",
  "payment_type": "CreditCard",
  "created_at": "2020-12-18T07:05:11Z",
  "card_type": "VIC"
}